#ifndef GLINCLUDES_H
#define GLINCLUDES_H

// GLew might not be needed on mac, or if a recent version of OpenGL is present
#ifndef __APPLE__
  #include <GL/glew.h>
  #if (!defined GLEW_VERSION_1_5) || (!defined GL_VERSION_3_1)
    #error GLEW 1.5.2 is required
  #endif
#endif

#define GL_GLEXT_PROTOTYPES 1
#ifdef __APPLE__
  #include<OpenGL/gl.h>
  #include<OpenGL/glu.h>
  #include<Glut/glut.h>
  #include<OpenGL/glext.h>
#else
  //#include <GL/gl.h>
  //#include <GL/glu.h>
  #include <GL/glut.h>
  // is glext really needed?
  //#include <GL/glext.h>
#endif

#endif // GLINCLUDES_H
